Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045092
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2020-09-18 11:042020-10-16 08:42
ReportergorkaionView Statuspublic 
Assigned Toinigo_lerga 
PriorityhighResolutionfixedFixed in VersionPR21Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045092: Not enough context information on get_stock extension point

DescriptionThere is a customer wanting to develop a extension point in the m_get_stock_param procedure when it is called from the m_inout_create procedure.

We have observed that the record id set on the call to the get stock procedure is the order_id instead of the orderline_id. This means that there is no method to identify the order line that it is being processed. You could query the lines filtering by product, but if there is more than one line with the same product it won't be possible.
Steps To ReproduceN/A
Proposed Solutionchange the record_id sent to the get_stock procedure by the c_orderline_id.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0123290)
hgbot (developer)
2020-09-22 14:20

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/177 [^]
(0123291)
inigo_lerga (developer)
2020-09-22 14:40

--Test Plan Mantis--

As the F&B International Group Admin role in Backend:
1º- Go to Create Shipments from Orders window.
2º- Set '*' as Organization
3º- Press Search button.
4º- Select record with Document No. '1000079'
5º- Press Process button

    #You will see that the Shipment creation has successfully being completed
    via the message shown in the UI#
(0123334)
gorkaion (developer)
2020-09-24 09:51

Upon further review we have noticed that the no deprecated extension point in the m_get_stock_param procedure is missing some parameters that are being used in the deprecated extension point:

          AD_PINSTANCE_PARA_INSERT(p_uuid, '100', 'Priority_Warehouse_ID', v_PriorityWarehouseID, null, null, null, null, null);
          AD_PINSTANCE_PARA_INSERT(p_uuid, '110', 'M_Warehouse_Rule_ID', v_warehouse_rule_id, null, null, null, null, null);
          AD_PINSTANCE_PARA_INSERT(p_uuid, '120', 'TableId', v_TableID, null, null, null, null, null);
          AD_PINSTANCE_PARA_INSERT(p_uuid, '130', 'AuxID', v_AuxID, null, null, null, null, null);
          AD_PINSTANCE_PARA_INSERT(p_uuid, '140', 'LineNo', null, null, v_LineNo, null, null, null);
          AD_PINSTANCE_PARA_INSERT(p_uuid, '150', 'M_Reservation_ID', v_reservation_id, null, null, null, null, null);
          AD_PINSTANCE_PARA_INSERT(p_uuid, '160', 'Available', v_avail, null, null, null, null, null);
          AD_PINSTANCE_PARA_INSERT(p_uuid, '170', 'Nettable', v_nett, null, null, null, null, null);
          AD_PINSTANCE_PARA_INSERT(p_uuid, '180', 'OverIssue', v_overissue, null, null, null, null, null);
          AD_PINSTANCE_PARA_INSERT(p_uuid, '190', 'ProcessID', v_ProcessID, null, null, null, null, null);

At least the process id should be added as well to be able to have full context of the call in the extension point.
(0123650)
hgbot (developer)
2020-10-09 10:45

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/177 [^]
(0123651)
hgbot (developer)
2020-10-09 10:45

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 258dcb37ee9e7872be24c5517f61ed1c1719bb04
Author: inigo_lerga <inigo.lerga@openbravo.com>
Date: 2020-10-09T08:39:50+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/258dcb37ee9e7872be24c5517f61ed1c1719bb04 [^]

fixes BUG-45092:orderline id in place of record id

M_GET_STOCK_PARAM call is now executed with c_orderline_id
instead of record id.

---
M src-db/database/model/functions/M_INOUT_CREATE.xml
---
(0123652)
hgbot (developer)
2020-10-09 10:45

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: d6c4953f02c7290db12e09997031f58677bce150
Author: inigo_lerga <inigo.lerga@openbravo.com>
Date: 2020-10-09T08:39:50+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/d6c4953f02c7290db12e09997031f58677bce150 [^]

related to ISSUE-45092: Added parameters to no depecrated extension point

---
M src-db/database/model/functions/M_GET_STOCK_PARAM.xml
---
(0123653)
hgbot (developer)
2020-10-09 10:45

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 29f88fbef14d2b9c69b420c986fcfc4ddaf730c5
Author: inigo_lerga <inigo.lerga@openbravo.com>
Date: 2020-10-09T08:39:50+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/29f88fbef14d2b9c69b420c986fcfc4ddaf730c5 [^]

related to ISSUE-45092: Fix for addition of parameters

---
M src-db/database/model/functions/M_GET_STOCK_PARAM.xml
---
(0123656)
dmiguelez (developer)
2020-10-09 12:13

This issue causes an accepted functional API Changed that can be consulted from the API Changes Documentation:
http://wiki.openbravo.com/wiki/API_changes#PI [^]
(0123727)
hgbot (developer)
2020-10-16 04:22

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/200 [^]
(0123731)
hgbot (developer)
2020-10-16 08:42

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 2fab67f777710155b8ec09e68756a1a4747d26ee
Author: Atul Gaware <atul.gaware@openbravo.com>
Date: 2020-10-16T00:45:52+05:30
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/2fab67f777710155b8ec09e68756a1a4747d26ee [^]

Related To BUG-0045092: Not enough context information
on get_stock extension point

**Use AD_EP_INSTANCE_PARA_INSERT instead of
AD_PINSTANCE_PARA_INSERT when adding parameters in no
deprecated extension points.

---
M src-db/database/model/functions/M_GET_STOCK_PARAM.xml
---
(0123732)
hgbot (developer)
2020-10-16 08:42

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/200 [^]

- Issue History
Date Modified Username Field Change
2020-09-18 11:04 gorkaion New Issue
2020-09-18 11:04 gorkaion Assigned To => Triage Finance
2020-09-18 11:04 gorkaion Modules => Core
2020-09-18 11:04 gorkaion Triggers an Emergency Pack => No
2020-09-21 11:34 dmiguelez Assigned To Triage Finance => inigo_lerga
2020-09-22 09:35 inigo_lerga Status new => scheduled
2020-09-22 14:20 hgbot Note Added: 0123290
2020-09-22 14:40 inigo_lerga Note Added: 0123291
2020-09-24 09:51 gorkaion Note Added: 0123334
2020-10-09 10:45 hgbot Note Added: 0123650
2020-10-09 10:45 hgbot Resolution open => fixed
2020-10-09 10:45 hgbot Status scheduled => closed
2020-10-09 10:45 hgbot Fixed in Version => PR21Q1
2020-10-09 10:45 hgbot Note Added: 0123651
2020-10-09 10:45 hgbot Note Added: 0123652
2020-10-09 10:45 hgbot Note Added: 0123653
2020-10-09 12:13 dmiguelez Note Added: 0123656
2020-10-16 04:22 hgbot Note Added: 0123727
2020-10-16 08:42 hgbot Note Added: 0123731
2020-10-16 08:42 hgbot Note Added: 0123732


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker